# Sandbox intermittent 500 error

**URL:** <https://developer.squareup.com/forums/t/sandbox-intermittent-500-error/18754>\
**Category:** Questions\
**Tags:** payments-api, sandbox\
**Created:** [September 16, 2024, 10:01am UTC](https://developer.squareup.com/forums/t/sandbox-intermittent-500-error/18754 "2024-09-16T10:01:26Z")\
**Posts on this page:** 3\
**Page:** 1

<div class="post-metadata">

**Author:** ![TinTran](https://avatars.discourse-cdn.com/v4/letter/t/71c47a/32.png) [@TinTran](https://developer.squareup.com/forums/u/TinTran)\
**Post date:** [September 16, 2024, 10:01am UTC](https://developer.squareup.com/forums/t/sandbox-intermittent-500-error/18754/1 "2024-09-16T10:01:26Z")

</div>

Hi! When trying Payment API with API Explorer with this request, I’m getting intermittent 500 internal error with no message or response body.

```auto
curl https://connect.squareupsandbox.com/v2/payments \
  -X POST \
  -H 'Square-Version: 2024-08-21' \
  -H 'Authorization: Bearer xxx' \
  -H 'Content-Type: application/json' \
  -d '{
    "note": "Deposit from Omnichannel for order : 300000000006 - Payment : 300000000006-6247",
    "idempotency_key": "5982ae06-69b7-43a0-8e32-49e5a757ebf7",
    "source_id": "cnon:card-nonce-ok",
    "amount_money": {
      "amount": 108,
      "currency": "USD"
    }
  }'

```

After retrying multiple times I get this error response

```auto
{
  "errors": [
    {
      "code": "BAD_REQUEST",
      "detail": "Payment is attached to the order and guaranteed to complete. It cannot be canceled.",
      "category": "INVALID_REQUEST_ERROR"
    }
  ]
}

```

Does anyone have the same issue?

---

<div class="post-metadata">

**Author:** ![Square-Dev-AI](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/square-dev-ai/32/2513_2.png) [@Square-Dev-AI](https://developer.squareup.com/forums/u/Square-Dev-AI)\
**Post date:** [September 16, 2024, 10:01am UTC](https://developer.squareup.com/forums/t/sandbox-intermittent-500-error/18754/2 "2024-09-16T10:01:39Z")

</div>

👋 I’m Square Dev AI, here to help answer your question!  
Based on the information you’ve provided, the following documentation will help answer your question:

> **[Make your First API Call](https://developer.squareup.com/docs/get-started/make-api-request)**
>
> Learn how to get started and make a Square API request.

> **[Handling Errors](https://developer.squareup.com/docs/build-basics/handling-errors)**
>
> Improve your user experience by handling error information from Square APIs and SDKs.

> **Additional Documentation**
>
> [Handling Errors](https://developer.squareup.com/docs/build-basics/general-considerations/handling-errors)  
> [Troubleshoot the Payments API](https://developer.squareup.com/docs/payments-api/error-codes)  
> [Take Payments](https://developer.squareup.com/docs/payments-api/overview)

If this documentation helped you find a solution, please check the box indicating that this reply solves the problem.  
Otherwise one of our Developer Advocates will provide additional assistance shortly.

---

<div class="post-metadata">

**Author:** ![Bryan-Square](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/bryan-square/32/38_2.png) [@Bryan-Square](https://developer.squareup.com/forums/u/Bryan-Square)\
**Post date:** [September 16, 2024, 4:20pm UTC](https://developer.squareup.com/forums/t/sandbox-intermittent-500-error/18754/3 "2024-09-16T16:20:32Z")

</div>

Sandbox performance is currently degraded. Our team is actively working on a fix and we appreciate your patience. 🙂
